PHPExcel_Style

# Class: PHPExcel_Style_Alignment

Source Location: /PHPExcel/Style/Alignment.php

### Class Overview

PHPExcel_Style_Alignment

#### Author(s):

#### Copyright:

- Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

Implements interfaces:

- PHPExcel_IComparable

### Constants

- HORIZONTAL_CENTER
- HORIZONTAL_CENTER_CONTINUOUS
- HORIZONTAL_GENERAL
- HORIZONTAL_JUSTIFY
- HORIZONTAL_LEFT
- HORIZONTAL_RIGHT
- VERTICAL_BOTTOM
- VERTICAL_CENTER
- VERTICAL_JUSTIFY
- VERTICAL_TOP

### Methods

- __construct
- applyFromArray
- bindParent
- getActiveCell
- getActiveSheet
- getHashCode
- getHorizontal
- getIndent
- getIsSupervisor
- getSelectedCells
- getSharedComponent
- getShrinkToFit
- getStyleArray
- getTextRotation
- getVertical
- getWrapText
- setHorizontal
- setIndent
- setShrinkToFit
- setTextRotation
- setVertical
- setWrapText
- __clone

### Class Details

[line 36]
PHPExcel_Style_Alignment

#### Tags:

copyright: | Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

[ Top ]

### Class Methods

### constructor __construct [line 125]

`PHPExcel_Style_Alignment __construct( [boolean $isSupervisor = false], [boolean $isConditional = false])`

Create a new PHPExcel_Style_Alignment

#### Tags:

access: | public

#### Parameters:

boolean | $isSupervisor | Flag indicating if this is a supervisor or not Leave this value at default unless you understand exactly what its ramifications are
boolean | $isConditional | Flag indicating if this is a conditional style or not Leave this value at default unless you understand exactly what its ramifications are

[ Top ]

### method applyFromArray [line 231]

`PHPExcel_Style_Alignment applyFromArray( [array $pStyles = null])`

Apply styles from array

1. $objPHPExcel-> getActiveSheet ()->getStyle('B2')->getAlignment()-> applyFromArray (
2. array(
3. 'horizontal' => PHPExcel_Style_Alignment ::HORIZONTAL_CENTER,
4. 'vertical' => PHPExcel_Style_Alignment ::VERTICAL_CENTER,
5. 'rotation' => 0,
6. 'wrap' => true
7. )
8. );

#### Tags:

throws: | Exception
access: | public

#### Parameters:

array | $pStyles | Array containing style information

[ Top ]

### method bindParent [line 143]

`PHPExcel_Style_Alignment bindParent( PHPExcel $parent)`

Bind parent. Only used for supervisor

#### Tags:

access: | public

#### Parameters:

PHPExcel | $parent |

[ Top ]

### method getActiveCell [line 197]

`string getActiveCell( )`

Get the currently active cell coordinate in currently active sheet.

Only used for supervisor

#### Tags:

return: | E.g. 'A1'
access: | public

[ Top ]

### method getActiveSheet [line 175]

`PHPExcel_Worksheet getActiveSheet( )`

Get the currently active sheet. Only used for supervisor

#### Tags:

access: | public

[ Top ]

### method getHashCode [line 466]

`string getHashCode( )`

Get hash code

#### Tags:

return: | Hash code
access: | public

[ Top ]

### method getHorizontal [line 266]

`string getHorizontal( )`

Get Horizontal

#### Tags:

access: | public

[ Top ]

### method getIndent [line 433]

`int getIndent( )`

Get indent

#### Tags:

access: | public

[ Top ]

### method getIsSupervisor [line 154]

`boolean getIsSupervisor( )`

Is this a supervisor or a real style component?

#### Tags:

access: | public

[ Top ]

### method getSelectedCells [line 186]

`string getSelectedCells( )`

Get the currently active cell coordinate in currently active sheet.

Only used for supervisor

#### Tags:

return: | E.g. 'A1'
access: | public

[ Top ]

### method getSharedComponent [line 165]

`PHPExcel_Style_Alignment getSharedComponent( )`

Get the shared style component for the currently active cell in currently active sheet.

Only used for style supervisor

#### Tags:

access: | public

[ Top ]

### method getShrinkToFit [line 402]

`boolean getShrinkToFit( )`

Get Shrink to fit

#### Tags:

access: | public

[ Top ]

### method getStyleArray [line 208]

`array getStyleArray( array $array)`

Build style array from subcomponents

#### Tags:

access: | public

#### Parameters:

array | $array |

[ Top ]

### method getTextRotation [line 331]

`int getTextRotation( )`

Get TextRotation

#### Tags:

access: | public

[ Top ]

### method getVertical [line 299]

`string getVertical( )`

Get Vertical

#### Tags:

access: | public

[ Top ]

### method getWrapText [line 371]

`boolean getWrapText( )`

Get Wrap Text

#### Tags:

access: | public

[ Top ]

### method setHorizontal [line 279]

`PHPExcel_Style_Alignment setHorizontal( [string $pValue = PHPExcel_Style_Alignment::HORIZONTAL_GENERAL])`

Set Horizontal

#### Tags:

access: | public

#### Parameters:

string | $pValue |

[ Top ]

### method setIndent [line 446]

`PHPExcel_Style_Alignment setIndent( [int $pValue = 0])`

Set indent

#### Tags:

access: | public

#### Parameters:

int | $pValue |

[ Top ]

### method setShrinkToFit [line 415]

`PHPExcel_Style_Alignment setShrinkToFit( [boolean $pValue = false])`

Set Shrink to fit

#### Tags:

access: | public

#### Parameters:

boolean | $pValue |

[ Top ]

### method setTextRotation [line 345]

`PHPExcel_Style_Alignment setTextRotation( [int $pValue = 0])`

Set TextRotation

#### Tags:

throws: | Exception
access: | public

#### Parameters:

int | $pValue |

[ Top ]

### method setVertical [line 312]

`PHPExcel_Style_Alignment setVertical( [string $pValue = PHPExcel_Style_Alignment::VERTICAL_BOTTOM])`

Set Vertical

#### Tags:

access: | public

#### Parameters:

string | $pValue |

[ Top ]

### method setWrapText [line 384]

`PHPExcel_Style_Alignment setWrapText( [boolean $pValue = false])`

Set Wrap Text

#### Tags:

access: | public

#### Parameters:

boolean | $pValue |

[ Top ]

### method __clone [line 484]

`void __clone( )`

Implement PHP __clone to create a deep clone, not just a shallow copy.

#### Tags:

access: | public

[ Top ]

### Class Constants

#### HORIZONTAL_CENTER = 'center'

[line 42]

[ Top ]

#### HORIZONTAL_CENTER_CONTINUOUS = 'centerContinuous'

[line 43]

[ Top ]

#### HORIZONTAL_GENERAL = 'general'

[line 39]

[ Top ]

#### HORIZONTAL_JUSTIFY = 'justify'

[line 44]

[ Top ]

#### HORIZONTAL_LEFT = 'left'

[line 40]

[ Top ]

#### HORIZONTAL_RIGHT = 'right'

[line 41]

[ Top ]

#### VERTICAL_BOTTOM = 'bottom'

[line 47]

[ Top ]

#### VERTICAL_CENTER = 'center'

[line 49]

[ Top ]

#### VERTICAL_JUSTIFY = 'justify'

[line 50]

[ Top ]

#### VERTICAL_TOP = 'top'

[line 48]

[ Top ]

Documentation generated on Fri, 12 Oct 2012 00:15:09 +0200 by phpDocumentor 1.4.4